FairMQStateMachine Class Reference
Inheritance diagram for FairMQStateMachine:
[legend]

## Public Types

enum | Event { INIT_DEVICE, internal_DEVICE_READY, INIT_TASK, internal_READY, RUN, PAUSE, STOP, RESET_TASK, RESET_DEVICE, internal_IDLE, END, ERROR_FOUND }
enum | State { OK, Error, IDLE, INITIALIZING_DEVICE, DEVICE_READY, INITIALIZING_TASK, READY, RUNNING, PAUSED, RESETTING_TASK, RESETTING_DEVICE, EXITING }

## Public Member Functions

int | GetInterfaceVersion () const
bool | ChangeState (int event)
bool | ChangeState (const std::string &event)
void | WaitForEndOfState (int event)
void | WaitForEndOfState (const std::string &event)
bool | WaitForEndOfStateForMs (int event, int durationInMs)
bool | WaitForEndOfStateForMs (const std::string &event, int durationInMs)
void | SubscribeToStateChange (const std::string &key, std::function< void(const State)> callback)
void | UnsubscribeFromStateChange (const std::string &key)
void | CallStateChangeCallbacks (const State state) const
std::string | GetCurrentStateName () const
int | GetCurrentState () const
bool | CheckCurrentState (int state) const
bool | CheckCurrentState (std::string state) const
bool | Terminated ()
virtual void | InitWrapper ()
virtual void | InitTaskWrapper ()
virtual void | RunWrapper ()
virtual void | PauseWrapper ()
virtual void | ResetWrapper ()
virtual void | ResetTaskWrapper ()
virtual void | Exit ()
virtual void | Unblock ()

The documentation for this class was generated from the following files:

- fairmq/FairMQStateMachine.h
- fairmq/FairMQStateMachine.cxx